%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Summary: PEAR: Web-based bookmarks application
Name: trean-h5
Version: 1.1.6
Release: 1%{?dist}
License: BSD-2-Clause
Group: Development/Libraries
Source0: http://pear.horde.org/get/trean-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/trean
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: horde >= 5.0.2
Requires: horde < 6.0.0alpha1
Requires: content >= 2.0.1
Requires: content < 3.0.0alpha1
Requires: Horde_Autoloader >= 2.0.0
Requires: Horde_Autoloader < 3.0.0alpha1
Requires: Horde_Controller >= 2.0.0
Requires: Horde_Controller < 3.0.0alpha1
Requires: Horde_Core >= 2.0.0
Requires: Horde_Core < 3.0.0alpha1
Requires: Horde_Date >= 2.0.0
Requires: Horde_Date < 3.0.0alpha1
Requires: Horde_Db >= 2.0.0
Requires: Horde_Db < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Form >= 2.0.0
Requires: Horde_Form < 3.0.0alpha1
Requires: Horde_Notification >= 2.0.0
Requires: Horde_Notification < 3.0.0alpha1
Requires: Horde_Perms >= 2.0.0
Requires: Horde_Perms < 3.0.0alpha1
Requires: Horde_Queue >= 1.0.0
Requires: Horde_Queue < 2.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: Horde_Vfs >= 2.0.0
Requires: Horde_Vfs < 3.0.0alpha1
Requires: Horde_View >= 2.0.0
Requires: Horde_View < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
Obsoletes: trean-h3

BuildArch: noarch

Provides:       %{name} = %{version}

%description
Trean is a web-based bookmarks application that provides management of
browser bookmarks, including support for tagging, link checking, and
searching bookmarks.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/trean.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/trean.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/trean >/dev/null || :
fi

%files
%defattr(-,root,root)
#%doc docs/trean/*
%doc %{pear_hordedir}
%{peardir}/*
%{xmldir}/trean.xml
%{_bindir}/trean-backfill-crawler
%{_bindir}/trean-backfill-favicons
%{_bindir}/trean-backfill-remove-utm-params
%{_bindir}/trean-url-checker

%changelog
* Tue Jul 26 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.6-1
- Update to trean 1.1.6

* Wed Mar 23 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.5-1
- Update to trean 1.1.5

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.4-1
- Update to trean 1.1.4

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.3-1
- Update to trean 1.1.3

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.2-1
- Update to trean 1.1.2

* Wed Jul 9 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.1-1
- Update to trean 1.1.1

* Tue Jul 16 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.3-1
- Update to trean 1.0.3

* Tue Jun 4 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.1-1
- Initial release for SME Server
- Original build from pear make-rpm-spec

